Summary:	GNU nano - Nano's ANOther editor, an enhanced free Pico clone
Summary(pl.UTF-8):	GNU nano - jeszcze jeden edytor: darmowy, rozbudowany klon Pico
Name:		nano
Version:	5.8
Release:	2
License:	GPL v3+
Group:		Applications/Editors
Source0:	https://www.nano-editor.org/dist/latest/%{name}-%{version}.tar.xz
# Source0-md5:	d2249e3dd108c830df00efd7c1b79d86
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
URL:		https://www.nano-editor.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	groff
BuildRequires:	libmagic-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU nano (Nano's ANOther editor) is a small, free and friendly editor
which aims to replace Pico, the default editor included in the
non-free Pine package. Rather than just copying Pico's look and feel,
nano also implements some missing (or disabled by default) features in
Pico, such as "search and replace" and "go to line number".

%description -l pl.UTF-8
GNU nano (Nano's ANOther editor - Nano to kolejny edytor) to mały,
otwarty i przyjazny edytor, którego celem jest zastąpienie Pico,
standardowego edytora zawartego w niewolnym pakiecie Pine. Oprócz
wyglądu oraz interfejsu, nano posiada kilka brakujących (lub
wyłączonych standardowo) w Pico funkcji, takich jak: "znajdź i zastąp"
lub "idź do wiersza numer".

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog IMPROVEMENTS NEWS README THANKS TODO doc/{faq.html,sample.nanorc}
%attr(755,root,root) %{_bindir}/nano
%attr(755,root,root) %{_bindir}/rnano
%{_datadir}/nano
%{_desktopdir}/nano.desktop
%{_pixmapsdir}/nano.png
%{_mandir}/man1/nano.1*
%{_mandir}/man1/rnano.1*
%{_mandir}/man5/nanorc.5*
%{_infodir}/nano.info*
%changelog
* Fri Jun 18 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nano.git;a=log;h=master

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> e1e9c83
- release 2

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 5e5e4dd
- rediffed info patch

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 61047b7
- updated to 5.8

* Fri Mar 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 29e2e93
- patch rediff+cleanup, release 2

* Thu Mar 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 9319bac
- updated to 5.6.1

* Sat Dec 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 17574e3
- updated to 5.4

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 439978b
- updated to 5.3

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 8f53037
- updated to 5.1

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b1969ce
- updated to 5.0
- removed outdated ncurses-ncurses.h patch

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> cc53fb9
- updated to 4.9.3

* Fri Mar 27 2020 Jakub Bogusz <qboosh@pld-linux.org> b1b4343
- updated to 4.9 "die fetten Jahre sind vorbei"

* Thu Mar 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 97cf853
- updated to 4.8

* Sun Jan 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 97e35c2
- updated to 4.7

* Wed Dec 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 2196017
- updated to 4.6

* Sat Oct 05 2019 Adam Gołębiowski <adamg@pld-linux.org> c764b60
- updated to 4.5

* Mon Aug 26 2019 Adam Gołębiowski <adamg@pld-linux.org> ca62366
- updated to 4.4

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 0ff3a34
- updated to 4.3

* Tue Apr 16 2019 Adam Gołębiowski <adamg@pld-linux.org> c95a1b0
- updated to 4.1

* Mon Mar 25 2019 Adam Gołębiowski <adamg@pld-linux.org> 0f8e3bc
- updated to 4.0

* Tue Nov 13 2018 Adam Gołębiowski <adamg@pld-linux.org> a53ec72
- updated to 3.2

